PUT /platform/v1/ens-regenerate

Regenerates a signature key for a given callback. Regenerating a signature key deactivates the existing key.

JSON Parameters 

NameTypeDescription
callbackIdstringRequired. A unique identifier for the callback.

Responses 

StatusNameTypeDescription
200  New signature key generated. Review example response.
 callbackNamestringName of the callback.
 callbackIdstringUnique identifier of the callback.
 urlstringHTTPS URL of the customer callback that receives event notifications in the format https://host[/path].
 signatureKeystringA symmetric key to authenticate messages.

Usage 

To regenerate the signature key, send a PUT request to the /platform/v1/ens-regenerate endpoint.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2PUT /platform/v1/ens-regenerate
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6[{
7  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d"
8}]

The response includes information about the callback.

1HTTP/1.1 200 OK
2[{
3  "callbackName": "cb1",
4  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
5  "url": "https://example.com/",
6  "signatureKey": "KktBXb9V556KtSDG7Wb5a0xHAu/z9n3k+YekDzLy7i0="
7}]

HTTP Responses 

ResponseReason
200 OKNew signature key generated. Review example response.
400 Bad RequestUnable to process the request.
401 UnauthorizedRequest not authorized; missing or incorrect bearer token.
403 ForbiddenFailed to pass authorization.
404 Not FoundCallback ID doesn’t exist for this MID.
500 Server ErrorInternal error

See Also 

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!